# AmazonCreateDynamoDbBackupsParameters Object

## Description

Parameters for the Amazon Create DynamoDB Backups action.

## Properties

### backupName

Name of the backups to create.

Type: `string`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### regionNames

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### resourceTagComparison <a href="#resourcetagcomparison" id="resourcetagcomparison"></a>

Comparison to use when identifying tables by resource tag. Required when `tableIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

Required: Conditional

### tableIdentificationMethod

Method used to select tables to be backed up.

Type: `string`

Valid Values:

* `all-tables`
* `by-table-name`
* `by-resource-tag`

Required: Yes

### tableNameComparison

Comparison to use when comparing by table name. Required when `tableIdentificationMethod` is `by-table-name`.

Type: [TableNameComparison](/data-types/tablenamecomparison-object.md) object

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1",
        "us-east-2"
    ],
    
    "tableIdentificationMethod": "all-tables",
    
    "backupName": "$(TABLENAME)-$(DATE)"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreatedynamodbbackupsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
